<?php 

if($mysqlServidor && !$noConectar) include($rutaPhp.$rutaHtml.'/bdd/conectar.php');
include_once($rutaPhp.$rutaHtml.'/librerias/constantes.php');

header ("Expires: Thu, 27 Mar 1980 23:59:00 GMT"); //la pagina expira en una fecha pasada
header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); //ultima actualizacion ahora cuando la cargamos
header ("Cache-Control: no-cache, must-revalidate"); //no guardar en CACHE
header ("Pragma: no-cache");

//10-12-2021 configuraciones locales Scanner
if(isset($_SESSION['desactivaScannerBluetooth']) ) { if($_SESSION['desactivaScannerBluetooth']) $desactivaScannerBluetooth=true; else $desactivaScannerBluetooth=false; }
if( isset($_SESSION['copyPaste']) ) { if($_SESSION['copyPaste']) $copyPaste=true; else $copyPaste=false; }

//09-05-2022 bloqueo específico y prioritario contra pantallas de proceso Preparacion
if( isset($esPantallaOP) && $esPantallaOP && isset($bloqueaCopyPastePantallaOP) && $bloqueaCopyPastePantallaOP ) $copyPaste=false;

?>

<!DOCTYPE html>

<html lang="es">

<head>

    <!--<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1">-->
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <!--<meta name="mobile-web-app-capable" content="yes">-->
    <link rel="manifest" href="<?php echo $rutaHtml; ?>/manifest<?php if(isset($_SESSION['instalacion']) && $_SESSION['instalacion']) echo "-".$_SESSION['instalacion']; ?>.json" type="application/json">
    
    
   
    <title><?php echo $tituloWeb; ?></title>
    
    <link href="<?php echo $rutaHtml; ?>/maqueta/estilos<?php echo $sufijoEstiloGrafico; ?>.css?actualizacion=<?php echo date('YmdHis'); ?>" rel="stylesheet" type="text/css" />
    
    <script type="text/javascript" src="<?php echo $rutaHtml; ?>/librerias/funciones-generales.js?actualizacion=<?php echo date('YmdHis'); ?>"></script>
    
    <?php if($scriptLocales) { ?>
    
	<script type="text/javascript" src="<?php echo $rutaHtml; ?>/librerias/jquery/jquery-4.0.0.min.js"></script>
    <script type="text/javascript" src="<?php echo $rutaHtml; ?>/librerias/jquery/ui/1.14.2/jquery-ui.min.js"></script>
    
    <?php } else { ?>
    
    <script
      src="https://code.jquery.com/jquery-4.0.0.min.js"
      integrity="sha256-OaVG6prZf4v69dPg6PhVattBXkcOWQB62pdZ3ORyrao="
      crossorigin="anonymous"></script>
    <script
      src="https://code.jquery.com/ui/1.14.2/jquery-ui.min.js"
      integrity="sha256-mblSWfbYzaq/f+4akyMhE6XELCou4jbkgPv+JQPER2M="
      crossorigin="anonymous"></script>
      
    <?php } ?>
    
    <link rel="stylesheet" href="<?php echo $rutaHtml; ?>/librerias/jquery/ui/1.14.2/jquery-ui.css"> <!-- la hoja de estilos, está modificada localmente -->
    
	<?php if($scriptLocales) { ?>
    <link href="<?php echo $rutaHtml; ?>/maqueta/fuentes.css" rel="stylesheet">
    <?php } else { ?>
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900|Roboto+Condensed:300,400,700" rel="stylesheet">
    <?php } ?>
    
    <link rel="shortcut icon" href="<?php echo DIR_IMAGENES; ?>/proxium.ico">
    <link rel="icon" href="<?php echo DIR_IMAGENES; ?>/proxium.ico">

	<?php if(isset($zoom) && $zoom) { ?>
    <style type="text/css">
		<!--
		body { zoom: <?php echo $zoom; ?>; }
		-->
    </style>
    <?php } ?>
    
</head>

<body onLoad="<?php if(isset($zoom) && $zoom) { ?>document.body.style.zoom='<?php echo $zoom; ?>'<?php } ?>" <?php if(!$copyPaste || $copyPaste=='' || !isset($copyPaste)) { ?>ondragstart="return false;" ondrop="return false;"<?php } ?> <?php if( isset($mostrarFondo) && $mostrarFondo ) { ?>style="background-image:url(<?php echo DIR_IMAGENES; ?>/fondo.jpg)" class="fondo"<?php } ?>>

<div id="popupCargando" class="popup" style="z-index:500000">
	<div id="popupCargandoContenido" class="popupContenidoSimple menosRedondeado">
    	<img src="<?php echo DIR_IMAGENES; ?>/cargando.gif" alt="Cargando..." width="160" height="160"/>
        <div id="popupCargandoBloqueInferior" style="display:none">
            <h2 id="popupCargandoTitulo"></h2>
            <p id="popupCargandoCancelar" style="display:none"><input type="button" name="botonCancelarCargando" id="botonCancelarCargando" class="campo boton" value="Cancelar"></p>
		</div>
    </div>
</div>

<div id="alert" class="popup" style="display:none;z-index:49000"><div id="alertContenido" class="popupContenidoSimple"><p id="alertTexto"></p><input id="alertOk" type="button" value="Cerrar" class="boton"/></div></div>

<div id="confirm" class="popup" style="display:none;z-index:49000"><div id="confirmContenido" class="popupContenidoSimple"><p id="confirmTexto"></p><input id="confirmOk" type="button" value="ACEPTAR" class="boton"/> <input id="confirmCancel" type="button" value="Cancelar" class="boton"/></div></div>

<script>

function mostrarCargando(mostrar=true,mostrarBotonCancelar=false,titulo='',aleatorio=false) {

	if(mostrar) {
	
		if(aleatorio) {
			let numero=Math.floor(Math.random()*8);
			$('#popupCargandoContenido').children('img').attr('src','<?php echo $rutaHtml; ?>img/gifs/'+numero+'.gif');
		}
		
		console.log('titulo: '+titulo);
	
		if(titulo || mostrarBotonCancelar) {
		
			$('#popupCargandoBloqueInferior').show();
		
			if(titulo) $('#popupCargandoTitulo').html(titulo);
			
			if(mostrarBotonCancelar) $('#popupCargandoCancelar').show();
			
		}

		$('#popupCargando').show();
		
	}
	else {
	
		$('#popupCargandoTitulo').html('');
		$('#popupCargandoContenido').removeClass('menosRedondeado');
		$('#popupCargandoCancelar').hide();
		$('#popupCargando').hide();
		
	}
	
}

$(document).ready(function() {

	$('#botonCancelarCargando').on('click',function(){
		 mostrarCargando(false,false);
	});

});

function alert(mensaje,enfoque,icono,textoBoton='') { 

	var deferred = new $.Deferred();

	mensaje=mensaje.toString();
 	mensaje=mensaje.replace(/\n/g, '<br>');
	
	if(icono) mensaje='<img src="<?php echo DIR_IMAGENES; ?>/iconos/'+icono+'.png" width="60" height="60" style="margin-bottom:10px"><br>'+mensaje;
	
	$('#alertTexto').html(mensaje);
	$('#alert').show();
	
	if(textoBoton!='') $('#alertOk').val(textoBoton);
	else $('#alertOk').val('Cerrar');
	
	document.getElementById('alertOk').addEventListener('click', function(){ deferred.resolve(); $('#alert').hide(); if(enfoque) enfoque.focus() } , false);
	
	return deferred.promise();
}

function confirm(mensaje,icono,mensajeOk,mensajeCancel) {
 
    var deferred = new $.Deferred();

	mensaje=mensaje.replace(/\n/g, "<br>");
	
	if(icono) mensaje='<img src="<?php echo DIR_IMAGENES; ?>/iconos/'+icono+'.png" width="60" height="60" style="margin-bottom:10px"><br>'+mensaje;
	
	$('#confirmTexto').html(mensaje);
	
	if(mensajeOk!=null) $('#confirmOk').val(mensajeOk.toUpperCase()); else $('#confirmOk').val('ACEPTAR');
	if(mensajeCancel!=null) $('#confirmCancel').val(mensajeCancel); else $('#confirmCancel').val('Cancelar');
	
	$('#confirm').show();
	
	document.getElementById('confirmCancel').addEventListener('click', function(){ deferred.reject(); $('#confirm').hide(); } , false);
	document.getElementById('confirmOk').addEventListener('click', function(){ deferred.resolve(); $('#confirm').hide(); } , false);
	
	return deferred.promise();
}



</script>



<?php if(isset($_SESSION['usuario']) && $_SESSION['usuario'] && (!isset($ocultarMenu) || !$ocultarMenu)) { ?>

	<?php include($rutaPhp.$rutaHtml.'/maqueta/menu.php'); ?>

<?php } ?>